View Issue Details

IDProjectCategoryView StatusLast Update
13611Bug reports[All Projects] Survey designpublic2018-05-25 11:30
ReporterKRavAssigned ToDenisChenu 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.6.x 
Target VersionFixed in Version 
Summary13611: Adding custom css class to question causes error
Description

Class 'Chtml' not found

/is/htdocs/wp1138559_J30JOJN4M0/www/hosting/limesurvey3/application/helpers/SurveyRuntimeHelper.php(1686)

//add additional classes
1682 if (isset($aQuestionAttributes['cssclass']) && $aQuestionAttributes['cssclass'] != "") {
1683 / Got to use static expression /
1684 $emCssClass = trim(LimeExpressionManager::ProcessString($aQuestionAttributes['cssclass'], null, array(), 1, 1, false, false, true)); / static var is the last one .../
1685 if ($emCssClass != "") {
1686 $aQuestionClass .= " ".Chtml::encode($emCssClass);
1687 }
1688 }

TagsNo tags attached.
Complete LimeSurvey version number (& build)180406
I will donate to the project if issue is resolvedNo
Browserx
Database & DB-Versionxxx
Operating System (Server)xxx
Webserver software & versionx
PHP Versionx

Activities

olle

olle

2018-04-18 10:00

administrator   ~47443

Typo in class name.

DenisChenu

DenisChenu

2018-04-18 10:41

developer   ~47444

Oh shit …

DenisChenu

DenisChenu

2018-04-18 12:10

developer   ~47447

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27024

olle

olle

2018-04-18 12:14

administrator   ~47448

Can you test it, too? Now I'm not sure if class names are case sensitive in PHP...

DenisChenu

DenisChenu

2018-04-18 12:21

developer   ~47449

PHP dependant ?

See https://stackoverflow.com/a/17107874/2239406 and https://stackoverflow.com/a/5260228/2239406

Tested on PHP5.6 work with chtml::encode , then unsure it was this.

DenisChenu

DenisChenu

2018-04-18 12:21

developer   ~47450

Can you test after fix ?
And inform of PHP version please.

DenisChenu

DenisChenu

2018-04-18 12:23

developer   ~47451

Last edited: 2018-04-18 12:24

View 2 revisions

@ollehar : in fact tested after and before fix : it work … on preview question and get survey

Maybe autoLoader broken in some condition ?

c_schmitz

c_schmitz

2018-05-25 11:30

administrator   ~47828

Version 3.8.1+180524 released

Related Changesets

LimeSurvey: master e06a14d9

2018-04-18 12:10:32

DenisChenu

Details Diff
Fixed issue 13611: Adding custom css class to question causes error
mod - application/helpers/SurveyRuntimeHelper.php Diff File

Issue History

Date Modified Username Field Change
2018-04-18 09:50 KRav New Issue
2018-04-18 10:00 olle Assigned To => DenisChenu
2018-04-18 10:00 olle Status new => assigned
2018-04-18 10:00 olle Note Added: 47443
2018-04-18 10:41 DenisChenu Note Added: 47444
2018-04-18 12:10 DenisChenu Changeset attached => LimeSurvey master e06a14d9
2018-04-18 12:10 DenisChenu Note Added: 47447
2018-04-18 12:10 DenisChenu Resolution open => fixed
2018-04-18 12:14 olle Note Added: 47448
2018-04-18 12:21 DenisChenu Note Added: 47449
2018-04-18 12:21 DenisChenu Status assigned => feedback
2018-04-18 12:21 DenisChenu Note Added: 47450
2018-04-18 12:23 DenisChenu Note Added: 47451
2018-04-18 12:24 DenisChenu Note Edited: 47451 View Revisions
2018-05-16 13:07 LouisGac Status feedback => resolved
2018-05-25 11:30 c_schmitz Note Added: 47828
2018-05-25 11:30 c_schmitz Status resolved => closed